package net.minecraft.server.level;

import net.minecraft.core.BlockPos;

public class ColumnPos {
    public final int x;
    public final int z;
    
    public ColumnPos(final int integer1, final int integer2) {
        this.x = integer1;
        this.z = integer2;
    }
    
    public ColumnPos(final BlockPos fk) {
        this.x = fk.getX();
        this.z = fk.getZ();
    }
    
    @Override
    public String toString() {
        return "[" + this.x + ", " + this.z + "]";
    }
    
    @Override
    public int hashCode() {
        final int integer2 = 1664525 * this.x + 1013904223;
        final int integer3 = 1664525 * (this.z ^ 0xDEADBEEF) + 1013904223;
        return integer2 ^ integer3;
    }
    
    @Override
    public boolean equals(final Object object) {
        if (this == object) {
            return true;
        }
        if (object instanceof ColumnPos) {
            final ColumnPos wt3 = (ColumnPos)object;
            return this.x == wt3.x && this.z == wt3.z;
        }
        return false;
    }
}
